{"models":[{"endpoint_id":"fal-ai/magi/image-to-video","metadata":{"display_name":"MAGI-1","category":"image-to-video","description":"MAGI-1 generates videos from images with exceptional understanding of physical interactions and prompting","status":"deprecated","tags":["image-to-video"],"updated_at":"2026-05-26T23:02:54.103Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-2.jpg","model_url":"https://fal.run/fal-ai/magi/image-to-video","license_type":"commercial","date":"2025-04-23T22:31:55.055Z","group":{"key":"magi","label":"Image-to-Video"},"highlighted":false,"kind":"inference","duration_estimate":9,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/wan-flf2v","metadata":{"display_name":"Wan-2.1 First-Last-Frame-to-Video","category":"image-to-video","description":"Wan-2.1 flf2v generates dynamic videos by intelligently bridging a given first frame to a desired end frame through smooth, coherent motion sequences.","status":"deprecated","tags":["image to video","motion"],"updated_at":"2026-11-06T00:48:44.504Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-2.jpg","model_url":"https://fal.run/fal-ai/wan-flf2v","license_type":"commercial","date":"2025-04-17T22:26:51.565Z","group":{"key":"wan-2.1","label":"First-to-Last-Frame"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"blackforestlabs/flux-3-max/keyframes-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan-flf2v","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-flf2v queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-flf2v","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-2.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-flf2v","documentationUrl":"https://fal.ai/models/fal-ai/wan-flf2v/api","about":"Get Flfv"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanFlf2vInput":{"x-fal-order-properties":["prompt","negative_prompt","start_image_url","end_image_url","num_frames","frames_per_second","seed","resolution","num_inference_steps","guide_scale","shift","enable_safety_checker","enable_prompt_expansion","acceleration","aspect_ratio","loras"],"type":"object","title":"WanLoRAFLF2VRequest","required":["prompt","start_image_url","end_image_url"],"properties":{"prompt":{"title":"Prompt","description":"The text prompt to guide video generation.","examples":["A tabby cat is confidely strolling toward the camera, when it spins and with a flash of magic reveals itself to be a cat-dragon hybrid with glistening amber scales."],"type":"string"},"enable_prompt_expansion":{"title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion.","default":false,"examples":[false],"type":"boolean"},"negative_prompt":{"title":"Negative Prompt","description":"Negative prompt for video generation.","default":"bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards","examples":["bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"type":"string"},"seed":{"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}]},"loras":{"title":"Loras","description":"LoRA weights to be used in the inference.","default":[],"items":{"$ref":"#/components/schemas/LoraWeight"},"type":"array"},"shift":{"maximum":10,"title":"Shift","description":"Shift parameter for video generation.","minimum":1,"default":5,"type":"number"},"frames_per_second":{"title":"Frames Per Second","description":"Frames per second of the generated video. Must be between 5 to 24.","default":16,"anyOf":[{"maximum":24,"minimum":5,"type":"integer"},{"type":"null"}]},"start_image_url":{"title":"Start Image Url","description":"URL of the starting image. If the input image does not match the chosen aspect ratio, it is resized and center cropped.","examples":["https://storage.googleapis.com/falserverless/web-examples/wan_flf/first_frame.png"],"type":"string"},"enable_safety_checker":{"title":"Enable Safety Checker","description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","default":false,"examples":[true],"type":"boolean"},"acceleration":{"type":"string","title":"Acceleration","description":"Acceleration level to use. The more acceleration, the faster the generation, but with lower quality. The recommended value is 'regular'.","default":"regular","examples":["regular"],"enum":["none","regular"]},"resolution":{"type":"string","title":"Resolution","description":"Resolution of the generated video (480p or 720p). 480p is 0.5 billing units, and 720p is 1 billing unit.","default":"720p","enum":["480p","720p"]},"num_frames":{"title":"Num Frames","description":"Number of frames to generate. Must be between 81 to 100 (inclusive). If the number of frames is greater than 81, the video will be generated with 1.25x more billing units.","default":81,"anyOf":[{"maximum":100,"minimum":81,"type":"integer"},{"type":"null"}]},"guide_scale":{"maximum":10,"title":"Guide Scale","description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality.","minimum":1,"default":5,"type":"number"},"aspect_ratio":{"type":"string","title":"Aspect Ratio","description":"Aspect ratio of the generated video. If 'auto', the aspect ratio will be determined automatically based on the input image.","default":"auto","enum":["auto","16:9","9:16","1:1"]},"end_image_url":{"title":"End Image Url","description":"URL of the ending image. If the input image does not match the chosen aspect ratio, it is resized and center cropped.","examples":["https://storage.googleapis.com/falserverless/web-examples/wan_flf/last_frame.png"],"type":"string"},"num_inference_steps":{"maximum":40,"title":"Num Inference Steps","description":"Number of inference steps for sampling. Higher values give better quality but take longer.","minimum":2,"default":30,"type":"integer"}}},"WanFlf2vOutput":{"x-fal-order-properties":["video","seed"],"properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/flf2v.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video file."},"seed":{"type":"integer","title":"Seed","description":"The seed used for generation."}},"required":["video","seed"],"title":"WanFLF2VResponse","type":"object"},"LoraWeight":{"x-fal-order-properties":["path","weight_name","scale"],"type":"object","title":"LoraWeight","required":["path"],"properties":{"path":{"title":"Path","description":"URL or the path to the LoRA weights.","type":"string"},"weight_name":{"title":"Weight Name","description":"Name of the LoRA weight. Used only if `path` is a Hugging Face repository, and required only if you have more than 1 safetensors file in the repo.","anyOf":[{"type":"string"},{"type":"null"}]},"scale":{"maximum":4,"title":"Scale","description":"\n            The scale of the LoRA weight. This is used to scale the LoRA weight\n            before merging it with the base model.\n        ","minimum":0,"default":1,"type":"number"}}},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","description":"The mime type of the file."},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."}},"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/wan-flf2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-flf2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-flf2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanFlf2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-flf2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanFlf2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/v2/master/image-to-video","metadata":{"display_name":"Kling 2.0 Master","category":"image-to-video","description":"Generate video clips from your images using Kling 2.0 Master","status":"deprecated","tags":[],"updated_at":"2026-09-15T13:15:01.614Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/for%20videos.jpg","model_url":"https://fal.run/fal-ai/kling-video/v2/master/image-to-video","license_type":"commercial","date":"2025-04-14T21:50:19.724Z","group":{"key":"kling-video-v2","label":"Image to Video v2 Master"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v2/master/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v2/master/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v2/master/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/for%20videos.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v2/master/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v2/master/image-to-video/api","about":"Kling 2.0 Master Image to Video API.\n\nThe Kling 2.0 Master model is an upgraded version of the text-to-video generation model\nthat significantly improves upon Kling 1.6 in several key areas:\n\nText Understanding:\n- Enhanced execution of actions and camera movements\n- Support for more complex sequential shot descriptions\n- Ability to generate blockbuster-quality scenes from text\n\nMotion Quality:\n- More dynamic character and subject movements\n- Smoother motion and transitions\n- Natural and logical complex action sequences\n\nVisual Quality:\n- Lifelike characters with realistic movements and expressions\n- Highly detailed scene generation from cinematic descriptions\n- Better preservation of artistic style and aesthetics"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV2MasterImageToVideoInput":{"properties":{"negative_prompt":{"type":"string","default":"blur, distort, and low quality","title":"Negative Prompt","maxLength":2500},"cfg_scale":{"type":"number","description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","default":0.5,"minimum":0,"title":"Cfg Scale","maximum":1},"enable_safety_checker":{"type":"boolean","description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","default":true,"title":"Enable Safety Checker"},"image_url":{"type":"string","description":"URL of the image to be used for the video","examples":["https://v3.fal.media/files/elephant/rkH-9qoXtXu3rAYTsx9V5_image.webp"],"title":"Image Url"},"prompt":{"type":"string","examples":["slow-motion sequence captures the catastrophic implosion of a skyscraper, dust and debris billowing outwards in a chaotic ballet of destruction, while a haunting, orchestral score underscores the sheer power and finality of the event."],"title":"Prompt","maxLength":2500},"duration":{"type":"string","description":"The duration of the generated video in seconds","default":"5","title":"Duration","enum":["5","10"]}},"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","image_url","duration","negative_prompt","cfg_scale"],"title":"ImageToVideoV2MasterRequest","required":["prompt","image_url"]},"KlingVideoV2MasterImageToVideoOutput":{"properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"url":"https://v3.fal.media/files/koala/VvGXP5xEhTR9ovGjpulJ7_output.mp4"}]}},"type":"object","x-fal-order-properties":["video"],"title":"ImageToVideoV2MasterOutput","required":["video"]},"File":{"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"]}}},"paths":{"/fal-ai/kling-video/v2/master/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2/master/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v2/master/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV2MasterImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2/master/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV2MasterImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pika/v1.5/pikaffects","metadata":{"display_name":"Pika Effects (v1.5)","category":"image-to-video","description":"Pika Effects are AI-powered video effects designed to modify objects, characters, and environments in a fun, engaging, and visually compelling manner.","status":"deprecated","tags":["editing","effects","animation"],"updated_at":"2026-10-22T22:40:20.478Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/kangaroo/2uSfx4xu1fXv4am4PvLAm_499f61b93f924a7496982491a87fb169.jpg","model_url":"https://fal.run/fal-ai/pika/v1.5/pikaffects","license_type":"commercial","date":"2025-03-14T00:00:00.000Z","group":{"key":"pika","label":"Effects (v1.5)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pika/v1.5/pikaffects","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pika/v1.5/pikaffects queue.","x-fal-metadata":{"endpointId":"fal-ai/pika/v1.5/pikaffects","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/kangaroo/2uSfx4xu1fXv4am4PvLAm_499f61b93f924a7496982491a87fb169.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pika/v1.5/pikaffects","documentationUrl":"https://fal.ai/models/fal-ai/pika/v1.5/pikaffects/api","about":"Pika Pikaffects Generation.\n\nGenerate a video with a specific Pikaffect. Supported Pikaffects include:\nCake-ify, Crumble, Crush, Decapitate, Deflate, Dissolve, Explode, Eye-pop,\nInflate, Levitate, Melt, Peel, Poke, Squish, Ta-da, Tear"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PikaV15PikaffectsInput":{"title":"PikaffectsRequest","properties":{"negative_prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Negative Prompt","description":"Negative prompt to guide the model"},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/pika/pika_effects/cake.png"],"type":"string","title":"Image Url","description":"URL of the input image"},"pikaffect":{"examples":["Cake-ify"],"enum":["Cake-ify","Crumble","Crush","Decapitate","Deflate","Dissolve","Explode","Eye-pop","Inflate","Levitate","Melt","Peel","Poke","Squish","Ta-da","Tear"],"type":"string","title":"Pikaffect","description":"The Pikaffect to apply"},"prompt":{"examples":["Cake-ify it"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Prompt","description":"Text prompt to guide the effect"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"The seed for the random number generator"}},"x-fal-order-properties":["image_url","pikaffect","prompt","negative_prompt","seed"],"type":"object","required":["image_url","pikaffect"],"description":"Request model for Pikaffects endpoint"},"PikaV15PikaffectsOutput":{"title":"PikaffectsOutput","properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/pika/pika_effects/cake.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video with applied effect"}},"x-fal-order-properties":["video"],"type":"object","required":["video"],"description":"Output from Pikaffects generation"},"File":{"properties":{"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","description":"The mime type of the file."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","description":"The size of the file in bytes."},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","required":["url"],"title":"File"}}},"paths":{"/fal-ai/pika/v1.5/pikaffects/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pika/v1.5/pikaffects/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pika/v1.5/pikaffects":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PikaV15PikaffectsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pika/v1.5/pikaffects/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PikaV15PikaffectsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-effects","metadata":{"display_name":"Wan Effects","category":"image-to-video","description":"Wan Effects generates high-quality videos with popular effects from images","status":"deprecated","tags":["motion","effects"],"updated_at":"2026-11-04T20:21:59.137Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_012.jpg","thumbnail_animated_url":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_101.webp","model_url":"https://fal.run/fal-ai/wan-effects","license_type":"commercial","date":"2025-03-13T00:00:00.000Z","group":{"key":"wan-2.1","label":"Wan Effects"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan-effects","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-effects queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-effects","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_012.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-effects","documentationUrl":"https://fal.ai/models/fal-ai/wan-effects/api","about":"Generate Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanEffectsInput":{"required":["subject","image_url"],"type":"object","title":"BaseInput","properties":{"image_url":{"description":"URL of the input image.","type":"string","title":"Image URL","examples":["https://storage.googleapis.com/falserverless/web-examples/wan-effects/cat.jpg","https://storage.googleapis.com/falserverless/web-examples/wan-effects/man_1.png","https://storage.googleapis.com/falserverless/web-examples/wan-effects/woman_2.png"]},"frames_per_second":{"minimum":5,"default":16,"description":"Frames per second of the generated video.","type":"integer","title":"Frames Per Second","maximum":24},"aspect_ratio":{"enum":["16:9","9:16","1:1"],"default":"16:9","description":"Aspect ratio of the output video.","type":"string","title":"Aspect Ratio"},"lora_scale":{"minimum":0.1,"default":1,"description":"The scale of the LoRA weight. Used to adjust effect intensity.","type":"number","title":"Lora Scale","maximum":2},"subject":{"description":"The subject to insert into the predefined prompt template for the selected effect.","type":"string","title":"Subject","examples":["a cute kitten","Donald Trump","a tank","a ceramic vase"]},"enable_safety_checker":{"default":true,"description":"Authorized callers may set false to request relaxed screening.","type":"boolean","title":"Enable Safety Checker"},"turbo_mode":{"default":false,"description":"Whether to use turbo mode. If True, the video will be generated faster but with lower quality.","type":"boolean","title":"Turbo Mode"},"num_inference_steps":{"minimum":2,"default":30,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","type":"integer","title":"Num Inference Steps","maximum":40},"num_frames":{"minimum":81,"default":81,"description":"Number of frames to generate.","type":"integer","title":"Num Frames","maximum":100},"effect_type":{"enum":["squish","muscle","inflate","crush","rotate","gun-shooting","deflate","cakeify","hulk","baby","bride","classy","puppy","snow-white","disney-princess","mona-lisa","painting","pirate-captain","princess","jungle","samurai","vip","warrior","zen","assassin","timelapse","tsunami","fire","zoom-call","doom-fps","fus-ro-dah","hug-jesus","robot-face-reveal","super-saiyan","jumpscare","laughing","cartoon-jaw-drop","crying","kissing","angry-face","selfie-younger-self","animeify","blast"],"description":"The type of effect to apply to the video.","type":"string","title":"Effect Type","default":"cakeify"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"}},"x-fal-order-properties":["subject","image_url","effect_type","num_frames","frames_per_second","seed","aspect_ratio","num_inference_steps","lora_scale","turbo_mode","enable_safety_checker"]},"WanEffectsOutput":{"required":["video","seed"],"type":"object","title":"WanEffectsOutput","properties":{"video":{"$ref":"#/components/schemas/File","description":"The generated video","examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/wan-effects/cat_video.mp4"}]},"seed":{"type":"integer","title":"Seed"}},"x-fal-order-properties":["video","seed"]},"File":{"required":["url"],"type":"object","title":"File","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/wan-effects/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-effects/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-effects":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanEffectsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-effects/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanEffectsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-pro/image-to-video","metadata":{"display_name":"Wan-2.1 Pro Image-to-Video","category":"image-to-video","description":"Wan-2.1 Pro is a premium image-to-video model that generates high-quality 1080p videos at 30fps with up to 6 seconds duration, delivering exceptional visual quality and motion diversity from images","status":"active","tags":["image to video","motion"],"updated_at":"2026-11-04T20:21:59.004Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/wan-pro-image-to-video.webp","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/wan-pro-image-to-video-animated.webp","model_url":"https://fal.run/fal-ai/wan-pro/image-to-video","license_type":"commercial","date":"2025-03-11T00:00:00.000Z","group":{"key":"wan-2.1","label":"Image-to-Video (Pro)"},"highlighted":false,"kind":"inference","duration_estimate":5,"pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max/image-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan-pro/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-pro/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-pro/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/wan-pro-image-to-video.webp","playgroundUrl":"https://fal.ai/models/fal-ai/wan-pro/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/wan-pro/image-to-video/api","about":"Generate a 6-second 1080p video (at 30 FPS) from an image and text using an enhanced version of Wan 2.1."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanProImageToVideoInput":{"x-fal-order-properties":["prompt","seed","enable_safety_checker","image_url"],"properties":{"prompt":{"examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage."],"type":"string","title":"Prompt","description":"The prompt to generate the video"},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"Whether to enable the safety checker"},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."},"image_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"],"type":"string","title":"Image Url","description":"The URL of the image to generate the video from"}},"required":["prompt","image_url"],"title":"WanProI2VRequest","type":"object"},"WanProImageToVideoOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://fal.media/files/kangaroo/K1hB3k-IXBzq9rz1kNOxy.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"],"title":"WanProI2VResponse","type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."}},"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/wan-pro/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-pro/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-pro/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanProImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-pro/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanProImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/veo2/image-to-video","metadata":{"display_name":"Veo 2 (Image to Video)","category":"image-to-video","description":"Veo 2 creates videos from images with realistic motion and very high quality output.","status":"deprecated","tags":["motion","transformation"],"updated_at":"2026-07-16T18:21:01.743Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/veo2-image-to-video.webp","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/veo2-image-to-video-animated.webp","model_url":"https://fal.run/fal-ai/veo2/image-to-video","license_type":"commercial","date":"2025-03-11T00:00:00.000Z","group":{"key":"veo2","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/wan-i2v-lora","metadata":{"display_name":"Wan-2.1 Image-to-Video with LoRAs","category":"image-to-video","description":"Add custom LoRAs to Wan-2.1 is a image-to-video model that generates high-quality videos with high visual quality and motion diversity from images","status":"active","tags":["image to video","motion","lora"],"updated_at":"2026-11-04T20:21:59.048Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/wan-i2v-lora-animated.webp","model_url":"https://fal.run/fal-ai/wan-i2v-lora","license_type":"commercial","date":"2025-03-08T00:00:00.000Z","highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false,"training_endpoint_ids":["fal-ai/wan-trainer"],"inference_endpoint_ids":["fal-ai/wan-trainer"]},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max/image-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan-i2v-lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-i2v-lora queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-i2v-lora","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-i2v-lora","documentationUrl":"https://fal.ai/models/fal-ai/wan-i2v-lora/api","about":"Inference"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanI2vLoraInput":{"properties":{"image_url":{"examples":["https://storage.googleapis.com/falserverless/gallery/car_720p.png"],"description":"URL of the input image. If the input image does not match the chosen aspect ratio, it is resized and center cropped.","title":"Image Url","type":"string"},"guide_scale":{"type":"number","minimum":1,"description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality.","maximum":10,"title":"Guide Scale","default":5},"num_inference_steps":{"type":"integer","minimum":2,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","maximum":40,"title":"Num Inference Steps","default":30},"resolution":{"type":"string","description":"Resolution of the generated video (480p or 720p). 480p is 0.5 billing units, and 720p is 1 billing unit.","enum":["480p","720p"],"title":"Resolution","default":"720p"},"loras":{"items":{"$ref":"#/components/schemas/LoraWeight"},"type":"array","description":"LoRA weights to be used in the inference.","title":"Loras","default":[]},"turbo_mode":{"type":"boolean","description":"If true, the video will be generated faster with no noticeable degradation in the visual quality.","title":"Turbo Mode","default":true},"num_frames":{"title":"Num Frames","description":"Number of frames to generate. Must be between 81 to 100 (inclusive). If the number of frames is greater than 81, the video will be generated with 1.25x more billing units.","anyOf":[{"maximum":100,"minimum":81,"type":"integer"},{"type":"null"}],"default":81},"frames_per_second":{"title":"Frames Per Second","description":"Frames per second of the generated video. Must be between 5 to 24.","anyOf":[{"maximum":24,"minimum":5,"type":"integer"},{"type":"null"}],"default":16},"aspect_ratio":{"type":"string","description":"Aspect ratio of the output video.","enum":["auto","16:9","9:16","1:1"],"title":"Aspect Ratio","default":"16:9"},"negative_prompt":{"type":"string","examples":["bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"description":"Negative prompt for video generation.","title":"Negative Prompt","default":"bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"},"enable_prompt_expansion":{"type":"boolean","examples":[false],"description":"Whether to enable prompt expansion.","title":"Enable Prompt Expansion","default":false},"prompt":{"examples":["Cars race in slow motion."],"description":"The text prompt to guide video generation.","title":"Prompt","type":"string"},"seed":{"description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"enable_safety_checker":{"type":"boolean","examples":[true],"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","default":false},"reverse_video":{"type":"boolean","description":"If true, the video will be reversed.","title":"Reverse Video","default":false},"shift":{"type":"number","minimum":1,"description":"Shift parameter for video generation.","maximum":10,"title":"Shift","default":5}},"x-fal-order-properties":["prompt","negative_prompt","image_url","num_frames","frames_per_second","seed","resolution","num_inference_steps","guide_scale","shift","enable_safety_checker","enable_prompt_expansion","aspect_ratio","loras","reverse_video","turbo_mode"],"required":["prompt","image_url"],"title":"WanLoRAI2VRequest","type":"object"},"WanI2vLoraOutput":{"properties":{"seed":{"description":"The seed used for generation.","title":"Seed","type":"integer"},"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/gallery/wan-i2v-example.mp4"}]}},"x-fal-order-properties":["video","seed"],"required":["video","seed"],"title":"WanI2VResponse","type":"object"},"LoraWeight":{"properties":{"path":{"description":"URL or the path to the LoRA weights.","title":"Path","type":"string"},"scale":{"type":"number","minimum":0,"description":"\n            The scale of the LoRA weight. This is used to scale the LoRA weight\n            before merging it with the base model.\n        ","maximum":4,"title":"Scale","default":1},"weight_name":{"description":"Name of the LoRA weight. Used only if `path` is a Hugging Face repository, and required only if you have more than 1 safetensors file in the repo.","anyOf":[{"type":"string"},{"type":"null"}],"title":"Weight Name"}},"x-fal-order-properties":["path","weight_name","scale"],"required":["path"],"title":"LoraWeight","type":"object"},"File":{"properties":{"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"file_size":{"examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"content_type":{"examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/wan-i2v-lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-i2v-lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-i2v-lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanI2vLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-i2v-lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanI2vLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-video-v095/image-to-video","metadata":{"display_name":"LTX Video-0.9.5","category":"image-to-video","description":"Generate videos from prompts and images using LTX Video-0.9.5","status":"deprecated","tags":["video","image-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/ltx-0.9.5.webp","model_url":"https://fal.run/fal-ai/ltx-video-v095/image-to-video","license_type":"commercial","date":"2025-03-05T00:00:00.000Z","group":{"key":"ltx-video-v0.9.5","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-video-v095/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-video-v095/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-video-v095/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/ltx-0.9.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-video-v095/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-video-v095/image-to-video/api","about":"Generate a video from a prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LtxVideoV095ImageToVideoInput":{"x-fal-order-properties":["prompt","negative_prompt","resolution","aspect_ratio","seed","num_inference_steps","enable_prompt_expansion","enable_safety_checker","image_url"],"properties":{"prompt":{"title":"Prompt","description":"Text prompt to guide generation","examples":["The astronaut gets up and walks away"],"type":"string"},"enable_prompt_expansion":{"title":"Enable Prompt Expansion","description":"Whether to expand the prompt using the model's own capabilities.","default":true,"type":"boolean"},"negative_prompt":{"title":"Negative Prompt","description":"Negative prompt for generation","default":"worst quality, inconsistent motion, blurry, jittery, distorted","type":"string"},"seed":{"title":"Seed","description":"Random seed for generation","anyOf":[{"type":"integer"},{"type":"null"}]},"aspect_ratio":{"enum":["9:16","16:9"],"title":"Aspect Ratio","description":"Aspect ratio of the generated video (16:9 or 9:16).","default":"16:9","type":"string"},"num_inference_steps":{"maximum":50,"title":"Num Inference Steps","description":"Number of inference steps","minimum":2,"default":40,"type":"integer"},"image_url":{"title":"Image Url","description":"Image URL for Image-to-Video task","examples":["https://h2.inkwai.com/bs2/upload-ylab-stunt/se/ai_portal_queue_mmu_image_upscale_aiweb/3214b798-e1b4-4b00-b7af-72b5b0417420_raw_image_0.jpg"],"type":"string"},"resolution":{"enum":["480p","720p"],"title":"Resolution","description":"Resolution of the generated video (480p or 720p).","default":"720p","type":"string"},"enable_safety_checker":{"title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening.","default":true,"type":"boolean"}},"title":"ImageToVideoInput","required":["prompt","image_url"],"type":"object"},"LtxVideoV095ImageToVideoOutput":{"x-fal-order-properties":["video","seed"],"properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/ltx_i2v_output.mp4"}],"description":"The generated video file."},"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer"}},"title":"ImageToVideoOutput","required":["video","seed"],"type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]}},"title":"File","required":["url"],"type":"object"}}},"paths":{"/fal-ai/ltx-video-v095/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video-v095/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-video-v095/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoV095ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video-v095/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoV095ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-i2v","metadata":{"display_name":"Wan-2.1 Image-to-Video","category":"image-to-video","description":"Wan-2.1 is a image-to-video model that generates high-quality videos with high visual quality and motion diversity from images","status":"active","tags":["image to video","motion"],"updated_at":"2026-11-04T20:21:59.119Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/hunyuan-video-image-to-video.webp","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/hunyuan-video-image-to-video-animated.webp","model_url":"https://fal.run/fal-ai/wan-i2v","license_type":"commercial","date":"2025-02-25T00:00:00.000Z","group":{"key":"wan-2.1","label":"Image-to-Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max/image-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan-i2v","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-i2v queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-i2v","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/hunyuan-video-image-to-video.webp","playgroundUrl":"https://fal.ai/models/fal-ai/wan-i2v","documentationUrl":"https://fal.ai/models/fal-ai/wan-i2v/api","about":"Inference"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanI2vInput":{"x-fal-order-properties":["prompt","negative_prompt","image_url","num_frames","frames_per_second","seed","resolution","num_inference_steps","guide_scale","shift","enable_safety_checker","enable_prompt_expansion","acceleration","aspect_ratio"],"properties":{"resolution":{"title":"Resolution","enum":["480p","720p"],"type":"string","default":"720p","description":"Resolution of the generated video (480p or 720p). 480p is 0.5 billing units, and 720p is 1 billing unit."},"num_frames":{"title":"Num Frames","anyOf":[{"minimum":81,"maximum":100,"type":"integer"},{"type":"null"}],"default":81,"description":"Number of frames to generate. Must be between 81 to 100 (inclusive). If the number of frames is greater than 81, the video will be generated with 1.25x more billing units."},"shift":{"title":"Shift","minimum":1,"maximum":10,"type":"number","default":5,"description":"Shift parameter for video generation."},"enable_prompt_expansion":{"title":"Enable Prompt Expansion","examples":[false],"type":"boolean","default":false,"description":"Whether to enable prompt expansion."},"enable_safety_checker":{"title":"Enable Safety Checker","examples":[true],"type":"boolean","default":false,"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked."},"num_inference_steps":{"title":"Num Inference Steps","minimum":2,"maximum":40,"type":"integer","default":30,"description":"Number of inference steps for sampling. Higher values give better quality but take longer."},"negative_prompt":{"title":"Negative Prompt","examples":["bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"type":"string","default":"bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards","description":"Negative prompt for video generation."},"image_url":{"examples":["https://storage.googleapis.com/falserverless/gallery/car_720p.png"],"type":"string","title":"Image Url","description":"URL of the input image. If the input image does not match the chosen aspect ratio, it is resized and center cropped."},"aspect_ratio":{"title":"Aspect Ratio","enum":["auto","16:9","9:16","1:1"],"type":"string","default":"auto","description":"Aspect ratio of the generated video. If 'auto', the aspect ratio will be determined automatically based on the input image."},"prompt":{"examples":["Cars racing in slow motion"],"type":"string","title":"Prompt","description":"The text prompt to guide video generation."},"frames_per_second":{"title":"Frames Per Second","anyOf":[{"minimum":5,"maximum":24,"type":"integer"},{"type":"null"}],"default":16,"description":"Frames per second of the generated video. Must be between 5 to 24."},"acceleration":{"title":"Acceleration","examples":["regular"],"enum":["none","regular"],"type":"string","default":"regular","description":"Acceleration level to use. The more acceleration, the faster the generation, but with lower quality. The recommended value is 'regular'."},"guide_scale":{"title":"Guide Scale","minimum":1,"maximum":10,"type":"number","default":5,"description":"Classifier-free guidance scale. Higher values give better adherence to the prompt but may decrease quality."},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen."}},"type":"object","required":["prompt","image_url"],"title":"WanI2VRequest"},"WanI2vOutput":{"x-fal-order-properties":["video","seed"],"properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/gallery/wan-i2v-example.mp4"}],"description":"The generated video file."},"seed":{"type":"integer","title":"Seed","description":"The seed used for generation."}},"type":"object","required":["video","seed"],"title":"WanI2VResponse"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","description":"The mime type of the file."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","description":"The size of the file in bytes."}},"type":"object","required":["url"],"title":"File"}}},"paths":{"/fal-ai/wan-i2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-i2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-i2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanI2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-i2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanI2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MjM","has_more":true}
